<script>
export default {
  name: `app-search-bar`,
  data() {
    return {
      value: null,
    };
  },
  computed: {
    onSearchPage() {
      return this.$route.name.indexOf('search-id') > -1;
    },
  },
  methods: {
    update(v) {
      if (v && v.length > 0) {
        this.$router.push({
          path: this.localePath(`/search/${v}`),
          query: this.$route.query,
        });
      } else {
        this.$router.push({
          path: this.localePath(`/`),
          query: this.$route.query,
        });
      }
    },
  },
  created() {
    if (this.onSearchPage)
      this.value = this.$route.params.id;
  },
}
</script>

<template>
  <v-text-field
    :autofocus="onSearchPage"
    v-model="value"
    @input="update"
    outlined
    dense
    clearable
    hide-details
    single-line
    prepend-inner-icon="mdi-magnify"
  ></v-text-field>
</template>
